import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';

export class GoogleLoginRequestDto {
  @ApiProperty({ example: 'google_token' })
  @IsString({ message: i18n('validation.IsString', { path: 'general', property: 'auth.googleToken' }) })
  @IsNotEmpty({ message: i18n('validation.IsNotEmpty', { path: 'general', property: 'auth.googleToken' }) })
  googleToken!: string;
}
